package oracle.eclipse.tools.glassfish.facets;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.wst.common.project.facet.core.IDelegate;
import org.eclipse.wst.common.project.facet.core.IProjectFacetVersion;

import oracle.eclipse.tools.glassfish.facets.internal.GlassfishDeploymentDescriptorFactory;

public class GlassfishEjbFacetInstallDelegate implements IDelegate {

	@Override
	public void execute(IProject project, IProjectFacetVersion fv,
			Object config, IProgressMonitor monitor) throws CoreException {
		IGlassfishDeploymentDescriptor ejbDescriptor = GlassfishDeploymentDescriptorFactory.getEjbDeploymentDescriptor(project);
		if (ejbDescriptor != null) {
			ejbDescriptor.store(monitor);
		}
	}
	
}
