package oracle.eclipse.tools.glassfish.handlers;

import java.io.File;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.wst.server.core.IServer;

import oracle.eclipse.tools.glassfish.GlassFishServer;

public class GlassFishVersionTester extends PropertyTester {

	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		IServer server = (IServer) receiver;
		GlassFishServer serverAdapter = (GlassFishServer) server
				.loadAdapter(GlassFishServer.class, null);
		return new File(serverAdapter.getServerInstallationDirectory() + "/modules").exists();
	}

}
