package oracle.eclipse.tools.glassfish.log;

import org.eclipse.ui.console.IConsole;
import org.glassfish.tools.ide.server.FetchLog;


public interface IGlassFishConsole extends IConsole {
	
	public void startLogging();
	
	public void startLogging(FetchLog... logFetchers);
	
	public void stopLogging();
	
	public void stopLogging(int afterSeconds);
	
	public boolean isLogging();
	
	public void setLogFilter(ILogFilter filter);
	
}
