package oracle.eclipse.tools.glassfish.log;

public interface ILogFilter {

	/**
     * Resets log filter after reading complete log record.
     */
    public void reset();

    /**
     * Processes read line.
     * 
     * @param line - mustn't contain new line character
     * @return Complete log record or null if the read line haven't completed the log record.
     */
    public String process(String line);
}
