package oracle.eclipse.tools.glassfish.handlers;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.wst.server.core.IServer;

import oracle.eclipse.tools.glassfish.GlassFishServer;

public class GlassFishStateTester extends PropertyTester {

	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		IServer server = (IServer) receiver;
		if( property.equals("isRunning"))
			return (server.getServerState() == IServer.STATE_STARTED);
		if( property.equals("isRemote")){
			GlassFishServer gf = (GlassFishServer)server.loadAdapter(GlassFishServer.class,
					new NullProgressMonitor());
			if( gf!=null)
				return gf.isRemote();
		}
//		SunAppServer sunServer = (SunAppServer)server.getAdapter(SunAppServer.class);
//		if (sunServer == null) {
//			sunServer = (SunAppServer) server.loadAdapter(SunAppServer.class, new NullProgressMonitor());
//		}
//		try {
//			return sunServer.isRunning();
//		} catch (CoreException e) {
//			SunAppSrvPlugin.logMessage("Testing server state failed", e);
//		}
		return false;
	}

}
