package oracle.eclipse.tools.glassfish.handlers;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.wst.server.core.IServer;

import oracle.eclipse.tools.glassfish.GlassFishServer;
import oracle.eclipse.tools.glassfish.GlassFishServerBehaviour;
import oracle.eclipse.tools.glassfish.GlassfishToolsPlugin;

public class OpenDomainHomeHandler extends AbstractGlassfishSelectionHandler {

	@Override
	public void processSelection(IStructuredSelection selection) {
		IServer server = (IServer) selection.getFirstElement();
		if (server != null){
			GlassFishServerBehaviour sab = (GlassFishServerBehaviour)server.loadAdapter(
					GlassFishServerBehaviour.class, null);
			GlassFishServer sunserver = sab.getGlassfishServerDelegate();
			try {
				//showPageInDefaultBrowser(AdminURLHelper.getURL("", server));
				URIHelper.showURI(URIHelper.getDomainHomeURI(sunserver));
			} catch (Exception e) {
		           GlassfishToolsPlugin.logMessage("Error opening browser: "+e.getMessage());
			}
	    }
	}

}
